stages:
  - qa
  - deploy

Flake8:
  only:
    - master
    - devel
    - pippackage

  image: python:3
  stage: qa
  script:
    - pip install flake8
    - flake8
  allow_failure: true


PyPI:
  only:
    refs:
      - tags

  allow_failure: false

  image: python:3
  stage: deploy
  script:
    - pip install -U twine setuptools
    - python setup.py sdist
    - twine upload --username $PYPI_USERNAME --password $PYPI_PASSWORD dist/*
